package com.ruoyi.project.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 【请填写功能名称】对象 tj_elevator_floor_para
 *
 * @author ruoyi
 * @date 2024-06-18
 */
public class TjElevatorFloorPara extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /**
     * ID
     */
    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 电梯ID
     */
    @Excel(name = "电梯ID")
    private Long elevatorId;

    /**
     * 楼层显示
     */
    @Excel(name = "楼层显示")
    private String floorDisplay;

    /**
     * 楼层高度
     */
    @Excel(name = "楼层高度")
    private String floorHeight;

    /**
     * 删除标记（0：未删除  1：已删除）
     */
    private String delFlag;

    public void setId(Long id) {
        this.id = id;
    }

    public Long getId() {
        return id;
    }

    public void setElevatorId(Long elevatorId) {
        this.elevatorId = elevatorId;
    }

    public Long getElevatorId() {
        return elevatorId;
    }

    public void setFloorDisplay(String floorDisplay) {
        this.floorDisplay = floorDisplay;
    }

    public String getFloorDisplay() {
        return floorDisplay;
    }

    public void setFloorHeight(String floorHeight) {
        this.floorHeight = floorHeight;
    }

    public String getFloorHeight() {
        return floorHeight;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public String getDelFlag() {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("elevatorId", getElevatorId())
            .append("floorDisplay", getFloorDisplay())
            .append("floorHeight", getFloorHeight())
            .append("delFlag", getDelFlag())
            .append("createTime", getCreateTime())
            .append("createBy", getCreateBy())
            .append("updateTime", getUpdateTime())
            .append("updateBy", getUpdateBy())
            .append("remark", getRemark())
            .toString();
    }
}
